Bug 249978

Summary: sysutils/modules: Update to 4.2.2, switch to new upstream
Product: Ports & Packages Reporter: Matthieu Volat <mazhe>
Component: Individual Port(s)Assignee: Mateusz Piotrowski <0mp>
Status: Closed FIXED    
Severity: Affects Only Me CC: 0mp, fernape
Priority: --- Keywords: patch
Version: Latest   
Hardware: Any   
OS: Any   
URL: https://timeline.noticeable.io/cbzeG7wTvAIqj21zbUmx/posts/modules-4-6-0-released
Attachments:
Description Flags
Patch for 4.2.2
none
modules 4.6.0 patch none

Description Matthieu Volat 2020-09-29 06:46:44 UTC
Created attachment 218397 [details]
Patch for 4.2.2

Hi,

The sysutils/modules saw a few changes this last years, starting being moved to a new repository (the official page is the same, so I guess this is an official change and not a fork?).

Here's an updated port that follow this change and bring the new (major) version.

sysutils/modules# portlint .
looks fine.

sysutils/modules# make check-plist                                  
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
===> Checking for items in pkg-plist which are not in STAGEDIR
===> No pkg-plist issues found (check-plist)

I see there's not maintainer for this port, I guess I could have a go with it if that would better (I already maintain another port, dns/mDNSResponder_nss). It seems to be a low-maintenance package.

Regards,

-- Matthieu Volat
Comment 1 Fernando ApesteguĂ­a freebsd_committer 2020-09-30 06:12:06 UTC
^Triage: If there is a changelog or release notes URL available for this version, please add it to the URL field

Thanks!
Comment 2 Matthieu Volat 2020-09-30 09:38:16 UTC
Created attachment 218433 [details]
modules 4.6.0 patch

Hi,

First, I'd like to apologize and update the request, it seems I did not track newer real releases and modules is at 4.6.0.

Here's an update with of course the usual QA:

sysutils/modules# portlint .
looks fine.

sysutils/modules# make check-plist  
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
===> Checking for items in pkg-plist which are not in STAGEDIR
===> No pkg-plist issues found (check-plist)

I'm also setting the url to the best I can, there's no direct changelog on http://modules.sourceforge.net/ (neither the related github account), but follwing their twitter account (from the official website) gives this... https://timeline.noticeable.io/cbzeG7wTvAIqj21zbUmx/posts/modules-4-6-0-released
Comment 3 commit-hook freebsd_committer 2020-10-02 19:19:13 UTC
A commit references this bug:

Author: 0mp
Date: Fri Oct  2 19:18:41 UTC 2020
New revision: 551226
URL: https://svnweb.freebsd.org/changeset/ports/551226

Log:
  Update to 4.6

  The most important changes are described in the MIGRATING document:
  - https://modules.readthedocs.io/en/v4.6.0/MIGRATING.html

  Release notes:
  - https://modules.readthedocs.io/en/v4.6.0/NEWS.html
  - https://timeline.noticeable.io/cbzeG7wTvAIqj21zbUmx/posts/modules-4-6-0-released

  PR:		249978
  Submitted by:	Matthieu Volat <mazhe@alkumuna.eu>

Changes:
  head/UPDATING
  head/sysutils/modules/Makefile
  head/sysutils/modules/distinfo
  head/sysutils/modules/files/patch-Makefile.in
  head/sysutils/modules/files/patch-cmdModule.c
  head/sysutils/modules/files/patch-configure
  head/sysutils/modules/files/patch-doc__Makefile
  head/sysutils/modules/files/patch-doc__Makefile.in
  head/sysutils/modules/files/patch-doc__module.1.in
  head/sysutils/modules/files/patch-doc__modulefile.5.in
  head/sysutils/modules/files/patch-etc__Makefile.in
  head/sysutils/modules/files/patch-init__Makefile.in
  head/sysutils/modules/pkg-plist
Comment 4 Mateusz Piotrowski freebsd_committer 2020-10-02 19:21:04 UTC
I've cleaned up the patch and committed it (there were a couple of missing dependencies). Thanks for the submission!

It's usually a good idea to test if the port is building in poudriere. It can catch a lot of problems. Cheers! :)